@import '../../styles/mixins'
@import '../../styles/variables'

.flip_card__block
    display flex
    flex-direction column
    +above(3)
        flex-direction row
    flex-wrap wrap
    justify-content space-evenly

    margin $sp auto
    margin-top $sp * 2.5
    width 88%
    max-width 940px
    +above(3)
        margin-top $sp

.static_card
.flip_card
    margin-top $sp--half
    +above(3)
        margin-top $sp--fifth
    +above(5)
        margin-top $sp--third
    background-color transparent
    max-width 300px
    max-height 300px

    flex none
    width 300px
    height 300px
    margin-left auto
    margin-right auto
    +above(3)
        flex 0 0 32%
        width auto
        height auto
        margin none

    &__inner
        position relative
        width 100%
        height 100%
        box-shadow 0 4px 8px 0 rgba(0, 0, 0, 0.2)

.flip_card
    perspective 1000px

    &__inner
        text-align center
        transition transform 0.6s
        transform-style preserve-3d

    &__title
        display block
        +above(4)
            display none

    &__front
    &__back
        position absolute
        width 100%
        height 100%
        transform-style preserve-3d
        -webkit-backface-visibility: hidden;
        backface-visibility hidden

    &__back
        background-color $cl--bg
        color white
        -webkit-transform rotateY(180deg)
        transform rotateY(180deg)
        display flex
        justify-content center
        align-items center

    &__text
        color white
        font-size $fz--base * $ratio ** 2
        content-anchor(white, $cl--off)
        line-height 1

.flip_card:hover .flip_card__inner
    +above(4)
        -webkit-transform rotateY(180deg)
        transform rotateY(180deg)
